GIF

This API is used to send messages with the GIF template.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/template/msg' \
--header 'Connection: keep-alive' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'source={{SOURCE}}' \
--data-urlencode 'sandbox={{SANDBOX}}' \
--data-urlencode 'destination={{DESTINATION}}' \
--data-urlencode 'template={"id":"{{TEMPLATE_ID}}","params":{{TEMPLATE_PARAMS_LIST}}' \
--data-urlencode 'message={"type":"gif","gif":{"link":"{{GIF_URL}}"}}' \
--data-urlencode 'userId={{BSUID}}' \
--data-urlencode 'src.name={{APP_NAME}}'

Response


Status codeResponseComments
200{"status": "submitted", "messageId": "db4*****-8ccc-3a438288e72f"}
429{"status": "error", "message": "Too Many Requests"} 10 Requests per Minute
500{"status": "error", "message": "Internal server error. Please try again later and If Issue still persist then contact Gupshup Dev Support"} For any Internal Error

Request Parameters

Headers

KeyDescriptionValueData TypeRequired/ OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token

Path Parameters

KeyDescriptionValueData TypeRequired/ OptionalConstraints
APP_IDAccess Token for the application{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup. The App must be associated with the account that owns the PARTNER_APP_TOKEN being used

Form Parameters

KeyDescriptionValueData TypeRequired/ OptionalConstraints
sourceSource Phone Number{{SOURCE}}IntegerRequired
sandboxBoolean value{{SANDBOX}}BooleanOptional
destinationDestination Phone Number{{DESTINATION}}IntegerRequired
templateJson containing template details{"id":"{{TEMPLATE_ID}}","params":[{{TEMPLATE_PARAMS_LIST}}]} StringRequiredMust include valid template id
messageMessage Format for GIF{"type":"gif","gif":{"link":"{{GIF_URL}}"}} StringRequiredMust be a valid JSON with type as "gif" and gif object containing link to GIF file
src.nameApp Name{{APP_NAME}}StringRequired
userIdBSUID{{userId}}

Path Params
string
required

App ID associated with the Partner account

Form Data
integer
required

Source phone number

boolean

Enable sandbox mode

integer
required

Destination phone number

string
required

JSON string containing template details

string
required

JSON string defining the GIF message

string
required

Application name

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json